# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""PAL configuration module.

Note : DO NOT EDIT.  This is automatically generated.
"""

from product_conf import *
from product_conf.devinfo import *

VERSION = "2.20.19"
LOGGER_NAME = "PAL"
LOG_FILE = NASCMD_LOG
LOCK_SUFFIX = ".lock"
CONFIG_DIR = XML_CONF_DIR
DEFAULT_ENCODING = "utf-8"

REAL_CONF_DIR = ETC_DIR

# For pal_events
EVENTS_HANDLER_DIR = EVENTS_DIR + "/handler"
EVENTS_COUNTER_DIR = EVENTS_DIR + "/counter"
EVENTS_TEMP_HANDLER_DIR = EVENTS_TEMP_DIR + "/handler"
EVENTS_TEMP_COUNTER_DIR = EVENTS_TEMP_DIR + "/counter"

# For pal_servicectrl
SERVICE_DIR = CONF_TEMP_DIR + "/service"

# For pal_firmware
FIRMWARE_VERSION_FILE = "for_HDL2-AAW_series"
FIRMWARE_UNTAR_DIR_BASE = TEMP_ALT_DIR + "/firmware/untar"

# For pal_packages
INET6_ONLY = False
PACKAGE_TYPE_PAL = "pal"
PACKAGE_TYPE_SELF = "self"
PACKAGE_TYPE = PACKAGE_TYPE_SELF
PACKAGE_UNTAR_DIR_BASE = TEMP_ALT_DIR + "/packages/untar"
PACKAGE_ROOT_DIR = ROOT_DIR
PACKAGE_FILES_DIR = PACKAGES_DIR + "/files"
PACKAGE_SCRIPTS_DIR = PACKAGES_DIR + "/scripts"
PACKAGE_TAR_FILE = ""

# For pal_network
NETWORK_CONF_NETWORK_DIR = CONF_DIR + "/network"
NETWORK_CONF_MTU_PART = "mtu"

NETWORK_CONF_NETWORK_INTERFACES_DIR = NETWORK_CONF_NETWORK_DIR + "/interfaces"
NETWORK_CONF_INTERFACES_BASE_PART = "interfaces.base"
NETWORK_CONF_INTERFACES_ADDR_PART = "interfaces.addr"
NETWORK_CONF_INTERFACES_MTU_PART = "interfaces.mtu"

NETWORK_CONF_NETWORK_NET_DIR = NETWORK_CONF_NETWORK_DIR + "/net"
NETWORK_CONF_INET4_CONF = NETWORK_CONF_NETWORK_NET_DIR + "/inet4"
NETWORK_CONF_INET6_CONF = NETWORK_CONF_NETWORK_NET_DIR + "/inet6"
NETWORK_CONF_DNS_CONF_BASE = NETWORK_CONF_NETWORK_NET_DIR + "/dns"
NETWORK_CONF_GATEWAY_CONF_BASE = NETWORK_CONF_NETWORK_NET_DIR + "/gateway"
NETWORK_CONF_DHCP_CONF_BASE = NETWORK_CONF_NETWORK_NET_DIR + "/dhcp"
NETWORK_CONF_ADDR_CONF_BASE = NETWORK_CONF_NETWORK_NET_DIR + "/addr"

NETWORK_ETC_NET_DIR = ETC_DIR + "/net"
NETWORK_ETC_INET4_CONF = NETWORK_ETC_NET_DIR + "/inet4"
NETWORK_ETC_INET6_CONF = NETWORK_ETC_NET_DIR + "/inet6"

NETWORK_RESOLV_CONF = SYS_ETC_DIR + "/resolv.conf"
NETWORK_INTERFACES = SYS_ETC_DIR + "/network/interfaces"

# Samba conf files.
SMB_CONF_REAL_DIR = ETC_DIR + "/samba"
SMB_CONF_PART_DIR = CONF_DIR + "/samba"
SMB_PART_GLOBAL_BASE_FILE = "?global.base"
SMB_PART_GLOBAL_HOSTDESC_FILE = "?global.hostdesc"
SMB_PART_GLOBAL_DOMAIN_FILE = "?global.domain"
SMB_PART_GLOBAL_PRINTER_FILE = "?global.printer"
SMB_PART_GLOBAL_AUDIT_FILE = "?global.audit"
SMB_PART_PRINTERS_VALIABLE_FILE = "?printers.valiable"
KRB5_CONF_FILE = "krb5.conf"
NSSWITCH_CONF_FILE = "nsswitch.conf"
SMB_CONF_FILE = "smb.conf"
SMB_SETTING_DIR = CONF_TEMP_DIR + "/samba"

# Cron conf files.
CRONTAB_FILE = ETC_DIR + "/crontab"
CROND_CONF_REAL_DIR = ETC_DIR + "/crond"
CROND_CONF_PART_DIR = CONF_DIR + "/crond"
NTP_SYNC_CRONTAB_FILE = "NtpSync"
SHUTDOWN_CRONTAB_FILE = "Shutdown"
BACKUP_CRONTAB_FILE = "Backup"
ACTIVEREPAIR_CRONTAB_FILE = "ActiveRepair"
INTERVAL_ALERT_CRONTAB_FILE = "IntervalAlert"
INTERVAL_REPORT_CRONTAB_FILE = "IntervalReport"
INTERVAL_ISS_CRONTAB_FILE = "IntervalIss"

# For pal_selfcheck
BACKUP_QUEUE_FILE = TEMP_DIR + "/backup_queue"
BACKUP_CONF_DIR = CONF_DIR + "/backup"
BACKUP_STATUS_DIR = BACKUP_CONF_DIR + "/status"
BACKUP_REMAIN_TIMES_DIR = BACKUP_CONF_DIR + "/remain_times"

# For pal_lumpregist
LUMPREGIST_CONF_DIR = CONF_DIR + "/lumpregist"
LUMPREGIST_STATUS_DIR = LUMPREGIST_CONF_DIR + "/status"

# Proftpd conf files.
PROFTPD_PART_DIR = CONF_DIR + "/proftpd"
PROFTPD_REAL_DIR = ETC_DIR + "/proftpd"
PROFTPD_ANON_PART_DIR = CONF_DIR + "/proftpd_anon"
PROFTPD_CONF_FILE = "proftpd.conf"
PROFTPD_PART_GLOBAL_BASE_FILE = "?global.base"
PROFTPD_PART_GLOBAL_VALIABLE_FILE = "?global.valiable"
PROFTPD_PART_GLOBAL_HOSTNAME_FILE = "?global.hostname"
PROFTPD_PART_ANONYMOUS_FILE = "?anonymous"
PROFTPD_PART_FOR_UNSPECIFIED_FILE = "?for_unspecified"
PROFTPD_ANON_CONF_FILE = "proftpd_anon.conf"
PROFTPD_SETTING_DIR = CONF_TEMP_DIR + "/proftpd"
PROFTPD_ANON_SETTING_DIR = CONF_TEMP_DIR + "/proftpd_anon"

# netatalk config files
TIMEMACHINE_SERVICE_FILE = "timemachine.service"
APPLEVOLUMES_DEFAULT_FILE = "AppleVolumes.default"
APPLEDB_DIR = "/mnt/sataraid1/AppleDB"   # FIXME
AFP_CONF_REAL_DIR = ETC_DIR + "/netatalk"
AFP_CONF_PART_DIR = CONF_DIR + "/netatalk"
AVAHI_SERVICES_REAL_DIR = ETC_DIR + "/avahi/services"
NETATALK_SETTING_DIR = CONF_TEMP_DIR + "/netatalk"

# For pal_devctrl
DISK_X_MODEL_FILE = SYSFS_DIR + "/block/%s/device/model"
DISK_X_REV_FILE = SYSFS_DIR + "/block/%s/device/rev"
DISK_X_VENDOR_FILE = SYSFS_DIR + "/block/%s/device/vendor"
DISK_X_SIZE_FILE = SYSFS_DIR + "/block/%s/size"

# For pal_raidctrl
RAID_X_SIZE_FILE = SYSFS_DIR + "/block/%s/size"
RAID_X_SLAVES_DIR = SYSFS_DIR + "/block/%s/slaves"
RAID_X_SYNCACT_FILE = SYSFS_DIR + "/block/%s/md/sync_action"
RAID_X_SYNCCOMPLETE_FILE = SYSFS_DIR + "/block/%s/md/sync_completed"
RAID_X_LEVEL_FILE = SYSFS_DIR + "/block/%s/md/level"
RAID_X_ELEMENT_STATE_FILE = SYSFS_DIR + "/block/%s/md/dev-%s/state"
DEV_LINK_DIR = STATUS_TEMP_DIR + "/dev_link"
DEV_FILE_DIR = STATUS_TEMP_DIR + "/dev_file"
RAID_OPERATION_LOCK_FILE = "raid_operation_lock"
RAID_CACHE_FILE_TMPL = CONF_TEMP_DIR + "/raid/%s/%s"
RAID_CUR_OPERATION_FILE = CONF_TEMP_DIR + "/raid/cur_operation"
NON_RAID_OPERATION = "none"
CUR_ARRAY_NUM_TMPL = CONF_DIR + "/raid/%s/cur_array_num"

# For pal_eco
SPINDOWN_CONF_FILE = VAR_LIB_DIR + "/spindownd/spindownd.conf"
VOL_TO_SPINDOWN_TARGET = {
       "sataraid1": SATA_HDD_DEV_LIST,
       "usb1": ("usbd1",),
       "usb2": ("usbd2",),
       "usb3": ("usbd3",),
       "usb4": ("usbd4",),
}

# For pal_initialize
INITIALIZE_SCRIPT_PATH = LANDISK_DIR + "/script.sh"
NO_ZEROCLEAR_SCRIPT_PATH = CONF_DIR + "/initialize/script_simple.sh"
ZEROCLEAR_SCRIPT_PATH = CONF_DIR + "/initialize/script_full.sh"
INITIALIZE_MNT = "boot"
RC_LOCAL_PATH = SYS_ETC_DIR + "/rc.local"
INITIALIZE_RC_LOCAL_PATH = LANDISK_DIR + "/rc.local"

# For pal_systemlog
SMB_AUDIT_FILE = SYS_LOG_DIR + "/smbd_audit"
SMB_AUDIT_ROTATE_GLOB = LOG_DIR + "/smbd_audit.*"

# For pal_user
DEFAULT_GID = 100

# For pal_buzzer
PROC_MELODY_FILE = PROC_DIR + "/nas_ctrl/melody"
REPEATE_MELODY_PREFIX = "R0"

# This should be removed and system state should be used in the future.
BOOT_COMPLETE_FILE = TEMP_DIR + "/boot_complete"

# For pal_ups
APCUPSD_DIR = ETC_DIR + "/apcupsd"
APC_CONF_FILE = "apcupsd.conf"
APC_USB_PART_CONF = CONF_DIR + "/ups/apcupsd/apcupsd.usb"
APC_SMART_PART_CONF = CONF_DIR + "/ups/apcupsd/apcupsd.smart"
APC_SIMPLE_PART_CONF = CONF_DIR + "/ups/apcupsd/apcupsd.simple"
APC_TIME_PART_CONF = CONF_DIR + "/ups/apcupsd/apcupsd.time"
SSD_DIR = ETC_DIR + "/ssd"
OMRON_CONF_FILE = "Shutdown.cfg"
BASE_OMRON_CONF = CONF_DIR + "/ups/ssd/Shutdown.cfg"
OMRON_TMP_CONF = TEMP_ALT_DIR + "/Shutdown.cfg"
NUT_UPSSCHED_CONF = ETC_DIR + "/nut/upssched.conf"
NUT_UPSSCHED_TMP_CONF = TEMP_ALT_DIR + "/upssched.conf"
NUT_UPSSCHED_CONF_TMPL = CONF_DIR + "/ups/nut/upssched.conf.tmpl"
FUJIUPS_GET_CHARGE_ARGS = ["fujiups@localhost", "battery.charge"]
FUJIUPS_GET_STATUS_ARGS = ["fujiups@localhost", "ups.status"]

# For pal_sysinfo
SYS_PCB_PATH = VAR_LIB_DIR + "/landisk/pcb"
SYS_PRODUCT_PATH = VAR_LIB_DIR + "/landisk/product"
SYS_FULL_PRODUCT__PATH = VAR_LIB_DIR + "/landisk/product_full"
SYS_FW_VERSION_PATH = VAR_LIB_DIR + "/landisk/version"
SYS_FW_BETA_VERSION_PATH = VAR_LIB_DIR + "/landisk/beta"
SYS_FW_MODEL_PATH = VAR_LIB_DIR + "/landisk/firmware"
SYS_DISK_LABEL_MODEL_PATH = VAR_LIB_DIR + "/landisk/disk_label_model"
SYS_NOWARRANTY_PATH = VAR_LIB_DIR + "/landisk/nowarranty"
SYS_INSTALLED_FILE_PATH = CONF_DIR + "/sysinfo/installed"
SYS_UPDATE_CHANGES_PATH = CONF_DIR + "/sysinfo/changes.xml"

# For pal_replication
PROC_FSEVSYNC_TARGETS_FILE = PROC_DIR + "/fsevsync/targets"
RSYNCD_CONF_REAL_DIR = ETC_DIR + "/rsync"
RSYNCD_CONF_PART_DIR = CONF_DIR + "/rsync"
RSYNCD_SETTING_DIR = CONF_TEMP_DIR + "/rsync"
RSYNCD_CONF_FILE = "rsyncd.conf"
RSYNCD_PASSWORD_FILE = "rsyncd.secrets"
RSYNCD_PART_GLOBAL_BASE_FILE = "?global.base"
RSYNC_CLIENT_CONF_DIR = CONF_DIR + "/rsync_client"

# For pal_selfcheck
SELFCHECK_CONF_DIR = CONF_DIR + "/selfcheck"
SELFCHECK_STATUS_DIR = SELFCHECK_CONF_DIR + "/status"

# For pal_dropbox
DROPBOX_URL_DIR = TEMP_DIR + "/dropbox_authorize_url"
DROPBOX_SHARE_CONFIG_FILE = CONF_DIR + "/dropbox/share_config"

# For Pal_printer
PRINTER_CONF_FILE = ETC_DIR + "/cups/printers.conf"
PRINTER_CUPS_CANCEL_ARGS = [CANCEL_CMD, "-a", "-x"]

# For pal_volctrl
INTERNAL_VOL = STOR_IF_TO_VOL["internal"][1]
ENCRYPT_SIGNATURE = "iodatalandiskencrypted"
LANDISK_INFO_SECTOR_SIZE = 1  # 隠し領域
VFS_SYNC_PROGRESS = PROC_DIR + "/vfsext/progress"
SWAPS_FILE = PROC_DIR + "/swaps"
MOUNT_LOCK_FILE = "volcrtl_mount_lock"
VFSEXT_UPDATE_FILE = ".update"
PART1_MKFS_TYPE = "ext4"
PART1_MOUNT_TYPE = "ext4"

# For pal_amazons3
AMAZONS3_DOWNLOAD_TARGET_TEMP = TEMP_DIR + "/amazons3_download_target.temp"
AMAZONS3_DOWNLOAD_TARGET = TEMP_DIR + "/amazons3_download_target"

# For pal_azure
AZURE_DOWNLOAD_TARGET_TEMP = TEMP_DIR + "/azure_download_target.temp"
AZURE_DOWNLOAD_TARGET = TEMP_DIR + "/azure_download_target"

# For pal_mailsend
MAIL_SPOOL_DIR = "/mnt/data/mail"

# For pal_led
# /nas_ctrl/satad[1-6]
HDD_LED_HOLD_STATE_FILE = PROC_DIR + "/nas_ctrl/satad%d"
HOLD_STATE_BLUE = "blue"
HOLD_STATE_RED = "red"
HOLD_STATE_OFF = "off"
BTNLED = PROC_DIR + "/nas_ctrl/btnled"

# For pal_lockkey
CRYPT_LOCKKEY_DIR = CONF_DIR + "/lockkey"
GNUPG_DIR = "/usr/share/gnupg/.gnupg"

DEVICE_DELETE_FILE_TMPL = SYSFS_DIR + "/block/%s/device/delete"
