# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django import template
from django.conf import settings
from django.utils.encoding import iri_to_uri
import re
import os
from urlparse import urljoin


register = template.Library()


@register.simple_tag
def image_data_url(image_file, image_type=''):
    """
    image_file: file path in local file system
    image_type: png, gif etc...

    data:[<mediatype>][;base64],<data>
    data:image/png;base64,abc...
    """
    image_data = ''
    image_type = image_type if isinstance(image_type, basestring) else ''
    try:
        from base64 import b64encode
        with open(image_file, 'rb') as f:
            image_data = b64encode(f.read())
        if not image_type:
            image_type = image_file.split('.')[-1]
    except:
        pass
    return 'data:image/%(type)s;base64,%(data)s' % {
        'type': image_type,
        'data': image_data,
    }
