#!/bin/sh
ARGC=$#
PINCODE="$1"
RL3USER="$2"
RL3PASS="$3"

SECTION="RL3"
CR="
"

CRYPTFMT='/opt/rl3/bin/cryptfmt.py'
RL3FMT='/opt/rl3/bin/rl3fmt.sh'

[ "${SECTION}" = '' ] && exit 1
[ "${PINCODE}" = '' ] && exit 1

if [ $ARGC -eq 1 ]; then
	DATA=`${RL3FMT} "${PINCODE}" | ${CRYPTFMT} encode`
elif [ $ARGC -eq 2 ]; then
	DATA=`${RL3FMT} "${PINCODE}" "${RL3USER}" | ${CRYPTFMT} encode`
elif [ $ARGC -eq 3 ]; then
	DATA=`${RL3FMT} "${PINCODE}" "${RL3USER}" "${RL3PASS}" | ${CRYPTFMT} encode`
else
	exit 1
fi
[ $? -ne 0 ] && exit 1

echo "[${SECTION}]${CR}"
echo "REV=4${CR}"
echo "DATA=${DATA}${CR}"

exit 0
