# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""fal_info add-on module for raps package."""


FAL_REMOTEACCESS_PATH = "/mnt/data/bin/fal_remoteaccess.py"

# Base XML string for each request to FAL commands.
# Note: product's fal_info define "FAL_USER_REQ_BASE_XML"
FAL_USERS_REQ_BASE_XML = {
        "auth": "<users><user><name/><passwd/></user></users>",
    }

_REGISTER_CLIENTLIMIT_BASE_XML = """<remoteaccess>
    <clientlimit>
        <clientid/>
        <key/>
        <registerinfo>
            <username/>
        </registerinfo>
    </clientlimit>
</remoteaccess>
"""

FAL_REMOTEACCESSS_REQ_BASE_XML = {
        "getserverinfo": "",
        "getsharelist":  "<remoteaccess><user><name/></user>" + \
                            "<clientid/><key/></remoteaccess>",
        "register_clientlimit": _REGISTER_CLIENTLIMIT_BASE_XML,
        "auth_timelimit": "<remoteaccess><timelimit><clientid/><key/>" + \
                                "</timelimit></remoteaccess>",
        "get_timelimit": "<remoteaccess><timelimit><key/>" + \
                                "</timelimit></remoteaccess>",

    }
