#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
import os
import sys
import shutil
import signal
import rapscomm
import errno

# initalize
c_comm   = rapscomm.rapscomm()
n_result = c_comm.RESULT.RESULT_NO_ERROR

# output exit code
def exitout():
    sys.stdout.write(str(n_result))
    sys.stdout.write("\n")
    sys.exit(0)

# set signal function
def sigfunc(num, frame):
    n_result = c_comm.RESULT.RESULT_ERROR
    exitout()

signal.signal( signal.SIGTERM, sigfunc)

# parameter check
if len(sys.argv) < 4:
    n_result = c_comm.RESULT.RESULT_INVALID_OPTION
    exitout()

# get parameter
i_uid = int(sys.argv[1])
i_gid = int(sys.argv[2])
s_src = sys.argv[3]

# delete file and directory
try:
    if os.path.isdir(s_src) == True:
        shutil.rmtree(s_src)
    else:
        os.remove(s_src)

except (IOError, OSError), e:
    if  e.errno == errno.ENOENT:
        n_result = c_comm.RESULT.RESULT_NOT_FOUND
    elif e.errno == errno.EACCES:
        n_result = c_comm.RESULT.RESULT_ERR_PERMISSION
    else:
        n_result = c_comm.RESULT.RESULT_ERR_DELETE

except Exception ,e:
        n_result = c_comm.RESULT.RESULT_ERR_DELETE

exitout()
