# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django import template
from django.conf import settings
from django.utils.encoding import iri_to_uri
import re
import os
from urlparse import urljoin


register = template.Library()

@register.filter
def nocache(value): # e.g. /static/image/sample.png
    version = 0
    try:
        empty = object()
        for _TYPE in (u'STATIC', u'MEDIA'):
            _URL = getattr(settings, u'%s_URL' % _TYPE, '')
            _ROOT = getattr(settings, u'%s_ROOT' % _TYPE, empty)
            if _ROOT is empty: continue
            filename = os.path.join(_ROOT, re.sub(u'^%s' % _URL, u'', value))
            if os.path.exists(filename):
                version = int(os.stat(filename).st_mtime)
    except:
        pass
    return u'%s?v=%s' % (value, version)
